Package org.eclipse.e4.ui.css.core.impl.sac

# Class AbstractElementSelector

java.lang.Object
org.eclipse.e4.ui.css.core.impl.sac.AbstractElementSelector

All Implemented Interfaces:
  `ExtendedSelector`, `org.w3c.css.sac.ElementSelector`, `org.w3c.css.sac.Selector`, `org.w3c.css.sac.SimpleSelector`

Direct Known Subclasses:
  `CSSElementSelectorImpl`, `CSSPseudoElementSelectorImpl`

public abstract class AbstractElementSelector extends Object implements org.w3c.css.sac.ElementSelector, ExtendedSelector
This class provides an abstract implementation of the ElementSelector interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`localName`
The local name.
`protected String`
`namespaceURI`
The namespace URI.

### Fields inherited from interface org.w3c.css.sac.Selector

`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractElementSelector(String uri, String name)`
Creates a new ElementSelector object.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`void`
`fillAttributeSet(Set<String> attrSet)`
Fills the given set with the attribute names found in this selector.
`String`
`getLocalName()`
SAC: Implements `ElementSelector.getLocalName()`.
`String`
`getNamespaceURI()`
SAC: Implements `ElementSelector.getNamespaceURI()`.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.e4.ui.css.core.impl.sac.ExtendedSelector

`getSpecificity, match, match`

### Methods inherited from interface org.w3c.css.sac.Selector

`getSelectorType`

## Field Details

### namespaceURI

protected String namespaceURI
The namespace URI.

### localName

protected String localName
The local name.

## Constructor Details

### AbstractElementSelector

protected AbstractElementSelector(String uri, String name)
Creates a new ElementSelector object.

## Method Details

### equals

public boolean equals(Object obj)
Indicates whether some other object is "equal to" this one.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the reference object with which to compare.

### getNamespaceURI

public String getNamespaceURI()
SAC: Implements `ElementSelector.getNamespaceURI()`.

Specified by:
  `getNamespaceURI` in interface `org.w3c.css.sac.ElementSelector`

### getLocalName

public String getLocalName()
SAC: Implements `ElementSelector.getLocalName()`.

Specified by:
  `getLocalName` in interface `org.w3c.css.sac.ElementSelector`

### fillAttributeSet

public void fillAttributeSet(Set<String> attrSet)
Fills the given set with the attribute names found in this selector.

Specified by:
  `fillAttributeSet` in interface `ExtendedSelector`